1. Voice Management
Voice API
  • Welcome to Async Voice API
  • Getting Started with the Async Voice API
  • API Reference
    • API Status
      • API Status Check
    • Text-to-Speech
      • Text to Speech (WebSocket)
      • Text to Speech
      • Text to Speech with Word Timestamps
      • Text to Speech (Stream)
    • Voice Management
      • Clone Voice
        POST
      • List Voices
        POST
      • Get Voice
        GET
      • Get Voices (Batch)
        POST
      • Update Voice
        PUT
      • Delete Voice
        DELETE
      • Get Voice Preview
        GET
  • Advanced Guides
    • Embed Player
    • Custom Pronunciations
      • Embedding Custom Phonemes in Async Voice API
      • Pronouncing digits one‑by‑one
      • Insert Silent Pauses with <break>
  • Integrations
    • Integrate with Twilio
    • Pipecat Integration
    • Livekit Integration
  1. Voice Management

Get Voices (Batch)

POST
https://api.async.com/voices/batch
Get voices from the voice libarary using list of voice ids

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠429RATE_LIMIT_EXCEEDED
🟠401INVALID_API_KEY
🟠404VOICE_NOT_FOUND
🟠404VERSION_NOT_FOUND
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.async.com/voices/batch' \
--header 'x-api-key: <api-key>' \
--header 'version: v1' \
--header 'Content-Type: application/json' \
--data-raw '{
    "voice_ids": [
        "e0f39dc4-f691-4e78-bba5-5c636692cc04",
        "e0f39dc4-f691-4e78-bba5-5c636692cc04"
    ]
}'
Response Response Example
200 - Success
[
    {
        "voice_id": "d4g7a640-44",
        "name": "Name",
        "description": "Description",
        "language": "en",
        "accent": "American (US)",
        "style": "Storytelling",
        "gender": "Male",
        "created_at": "2025-05-19T14:37:07.297056",
        "updated_at": "2025-05-19T14:37:07.297056",
        "voice_type": "PREDEFINED"
    }
]
Modified at 2026-03-23 13:44:31
Previous
Get Voice
Next
Update Voice
Built with